@media (max-width: 768px) {
    .side-navbar {
        width: 200px;
    }
}





.btn-primary {
    --bs-btn-color: #fff;
    --bs-btn-bg: #2b90d9;
    --bs-btn-border-color: #2b90d9;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #257ab8;
    --bs-btn-hover-border-color: #2273ae;
    --bs-btn-focus-shadow-rgb: 75, 161, 223;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #2273ae;
    --bs-btn-active-border-color: #206ca3;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: #2b90d9;
    --bs-btn-disabled-border-color: #2b90d9;
}

.btn-secondary {
    --bs-btn-color: #fff;
    --bs-btn-bg: #6c757d;
    --bs-btn-border-color: #6c757d;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #5c636a;
    --bs-btn-hover-border-color: #565e64;
    --bs-btn-focus-shadow-rgb: 130, 138, 145;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #565e64;
    --bs-btn-active-border-color: #51585e;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: #6c757d;
    --bs-btn-disabled-border-color: #6c757d;
}

.btn-success {
    --bs-btn-color: #fff;
    --bs-btn-bg: #28a745;
    --bs-btn-border-color: #28a745;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #228e3b;
    --bs-btn-hover-border-color: #208637;
    --bs-btn-focus-shadow-rgb: 72, 180, 97;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #208637;
    --bs-btn-active-border-color: #1e7d34;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: #28a745;
    --bs-btn-disabled-border-color: #28a745;
}

.btn-info {
    --bs-btn-color: #fff;
    --bs-btn-bg: #17a2b8;
    --bs-btn-border-color: #17a2b8;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #148a9c;
    --bs-btn-hover-border-color: #128293;
    --bs-btn-focus-shadow-rgb: 58, 176, 195;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #128293;
    --bs-btn-active-border-color: #117a8a;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: #17a2b8;
    --bs-btn-disabled-border-color: #17a2b8;
}

.btn-warning {
    --bs-btn-color: #212529;
    --bs-btn-bg: #ffc107;
    --bs-btn-border-color: #ffc107;
    --bs-btn-hover-color: #212529;
    --bs-btn-hover-bg: #ffca2c;
    --bs-btn-hover-border-color: #ffc720;
    --bs-btn-focus-shadow-rgb: 222, 170, 12;
    --bs-btn-active-color: #212529;
    --bs-btn-active-bg: #ffcd39;
    --bs-btn-active-border-color: #ffc720;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #212529;
    --bs-btn-disabled-bg: #ffc107;
    --bs-btn-disabled-border-color: #ffc107;
}

.btn-danger {
    --bs-btn-color: #fff;
    --bs-btn-bg: #dc3545;
    --bs-btn-border-color: #dc3545;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #bb2d3b;
    --bs-btn-hover-border-color: #b02a37;
    --bs-btn-focus-shadow-rgb: 225, 83, 97;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #b02a37;
    --bs-btn-active-border-color: #a52834;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: #dc3545;
    --bs-btn-disabled-border-color: #dc3545;
}

.btn-light {
    --bs-btn-color: #212529;
    --bs-btn-bg: #f8f9fa;
    --bs-btn-border-color: #f8f9fa;
    --bs-btn-hover-color: #212529;
    --bs-btn-hover-bg: #d3d4d5;
    --bs-btn-hover-border-color: #c6c7c8;
    --bs-btn-focus-shadow-rgb: 216, 217, 219;
    --bs-btn-active-color: #212529;
    --bs-btn-active-bg: #c6c7c8;
    --bs-btn-active-border-color: #babbbc;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #212529;
    --bs-btn-disabled-bg: #f8f9fa;
    --bs-btn-disabled-border-color: #f8f9fa;
}

.btn-dark {
    --bs-btn-color: #fff;
    --bs-btn-bg: #343a40;
    --bs-btn-border-color: #343a40;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #52585d;
    --bs-btn-hover-border-color: #484e53;
    --bs-btn-focus-shadow-rgb: 82, 88, 93;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #5d6166;
    --bs-btn-active-border-color: #484e53;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: #343a40;
    --bs-btn-disabled-border-color: #343a40;
}







.sidebar-item li a {
    padding-left: 50px;
    background: #EEF5F9;
}

.sidebar-item.active > .sidebar-link {
    color: #fff;
    border-left: 4px solid #ff1b1b;
    background: #ff6767;
}

    .sidebar-item.active > .sidebar-link:hover {
        background: #ff6767;
    }

.sidebar-item li.active > .sidebar-link {
    color: #fff;
    border-left: 4px solid #ff1b1b;
    background: #ff8181;
}

.sidebar-item .collapse {
    background: #EEF5F9;
}

.sidebar-link {
    display: block;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    position: relative;
    overflow: hidden;
    padding: 10px 15px;
    text-decoration: none;
    text-overflow: ellipsis;
    color: inherit;
    border-left: 4px solid transparent;
    font-size: 0.9rem;
    font-weight: 300;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
}

@media (max-width: 1199.98px) {
    .sidebar-link {
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -ms-flex-direction: column;
        flex-direction: column;
        padding: 15px 2px;
        border-left: none;
        font-size: 0.8rem;
    }
}

.sidebar-link:hover {
    color: #fff;
    border-left: 4px solid #ff1b1b;
    background: #ff6767;
}





.form-check-input:focus {
    border-color: #95c8ec;
    outline: 0;
    -webkit-box-shadow: 0 0 0 0.25rem rgba(43, 144, 217, 0.25);
    box-shadow: 0 0 0 0.25rem rgba(43, 144, 217, 0.25);
}

.form-check-input:checked {
    background-color: #2b90d9;
    border-color: #2b90d9;
}







@media (max-width: 768px) {
    #tblData thead

{
    display: none; /* Oculta los encabezados para tablas muy pequeñas */
}

#tblData tbody tr {
    display: flex;
    flex-direction: column;
    margin-bottom: 1rem;
    border-bottom: 1px solid #ddd;
}

    #tblData tbody tr td {
        display: flex;
        justify-content: space-between;
        padding: 0.5rem;
    }

        #tblData tbody tr td::before {
            content: attr(data-label); /* Usa atributos personalizados para los encabezados */
            font-weight: bold;
            width: 50%;
        }

}

@media (max-width: 768px) {
    .btn.toggle-details {
        font-size: 0;
    }

        .btn.toggle-details::before {
            content: '\f105'; /* Icono FontAwesome */
            font-family: FontAwesome;
            font-size: 1rem;
        }
}




.list-group-item.active {
    z-index: 2;
    color: var(--bs-list-group-active-color);
    background-color: var(--bs-list-group-active-bg);
    border-color: var(--bs-list-group-active-border-color);
}

.list-group-item + .list-group-item {
    border-top-width: 0;
}

    .list-group-item + .list-group-item.active {
        margin-top: calc(-1 * var(--bs-list-group-border-width));
        border-top-width: var(--bs-list-group-border-width);
    }















/* rtl:end:remove */
.text-primary {
    --bs-text-opacity: 1;
    color: rgba(var(--bs-primary-rgb), var(--bs-text-opacity)) !important;
}

.text-secondary {
    --bs-text-opacity: 1;
    color: rgba(var(--bs-secondary-rgb), var(--bs-text-opacity)) !important;
}

.text-success {
    --bs-text-opacity: 1;
    color: rgba(var(--bs-success-rgb), var(--bs-text-opacity)) !important;
}

.text-info {
    --bs-text-opacity: 1;
    color: rgba(var(--bs-info-rgb), var(--bs-text-opacity)) !important;
}

.text-warning {
    --bs-text-opacity: 1;
    color: rgba(var(--bs-warning-rgb), var(--bs-text-opacity)) !important;
}

.text-danger {
    --bs-text-opacity: 1;
    color: rgba(var(--bs-danger-rgb), var(--bs-text-opacity)) !important;
}

.text-light {
    --bs-text-opacity: 1;
    color: rgba(var(--bs-light-rgb), var(--bs-text-opacity)) !important;
}

.text-dark {
    --bs-text-opacity: 1;
    color: rgba(var(--bs-dark-rgb), var(--bs-text-opacity)) !important;
}

.text-darkBlue {
    --bs-text-opacity: 1;
    color: rgba(var(--bs-darkBlue-rgb), var(--bs-text-opacity)) !important;
}

.text-sidebar-bg {
    --bs-text-opacity: 1;
    color: rgba(var(--bs-sidebar-bg-rgb), var(--bs-text-opacity)) !important;
}

.text-red {
    --bs-text-opacity: 1;
    color: rgba(var(--bs-red-rgb), var(--bs-text-opacity)) !important;
}

.text-yellow {
    --bs-text-opacity: 1;
    color: rgba(var(--bs-yellow-rgb), var(--bs-text-opacity)) !important;
}

.text-faintGreen {
    --bs-text-opacity: 1;
    color: rgba(var(--bs-faintGreen-rgb), var(--bs-text-opacity)) !important;
}

.text-orange {
    --bs-text-opacity: 1;
    color: rgba(var(--bs-orange-rgb), var(--bs-text-opacity)) !important;
}

.text-violet {
    --bs-text-opacity: 1;
    color: rgba(var(--bs-violet-rgb), var(--bs-text-opacity)) !important;
}

.text-paleBlue {
    --bs-text-opacity: 1;
    color: rgba(var(--bs-paleBlue-rgb), var(--bs-text-opacity)) !important;
}

.text-black {
    --bs-text-opacity: 1;
    color: rgba(var(--bs-black-rgb), var(--bs-text-opacity)) !important;
}

.text-white {
    --bs-text-opacity: 1;
    color: rgba(var(--bs-white-rgb), var(--bs-text-opacity)) !important;
}

.text-body {
    --bs-text-opacity: 1;
    color: rgba(var(--bs-body-color-rgb), var(--bs-text-opacity)) !important;
}

.text-muted {
    --bs-text-opacity: 1;
    color: #6c757d !important;
}

.text-black-50 {
    --bs-text-opacity: 1;
    color: rgba(0, 0, 0, 0.5) !important;
}

.text-white-50 {
    --bs-text-opacity: 1;
    color: rgba(255, 255, 255, 0.5) !important;
}

.text-reset {
    --bs-text-opacity: 1;
    color: inherit !important;
}


.text-opacity-25 {
    --bs-text-opacity: 0.25;
}

.text-opacity-50 {
    --bs-text-opacity: 0.5;
}

.text-opacity-75 {
    --bs-text-opacity: 0.75;
}

.text-opacity-100 {
    --bs-text-opacity: 1;
}

.bg-primary {
    --bs-bg-opacity: 1;
    background-color: rgba(var(--bs-primary-rgb), var(--bs-bg-opacity)) !important;
}

.bg-secondary {
    --bs-bg-opacity: 1;
    background-color: rgba(var(--bs-secondary-rgb), var(--bs-bg-opacity)) !important;
}

.bg-success {
    --bs-bg-opacity: 1;
    background-color: rgba(var(--bs-success-rgb), var(--bs-bg-opacity)) !important;
}

.bg-info {
    --bs-bg-opacity: 1;
    background-color: rgba(var(--bs-info-rgb), var(--bs-bg-opacity)) !important;
}

.bg-warning {
    --bs-bg-opacity: 1;
    background-color: rgba(var(--bs-warning-rgb), var(--bs-bg-opacity)) !important;
}

.bg-danger {
    --bs-bg-opacity: 1;
    background-color: rgba(var(--bs-danger-rgb), var(--bs-bg-opacity)) !important;
}

.bg-light {
    --bs-bg-opacity: 1;
    background-color: rgba(var(--bs-light-rgb), var(--bs-bg-opacity)) !important;
}

.bg-dark {
    --bs-bg-opacity: 1;
    background-color: rgba(var(--bs-dark-rgb), var(--bs-bg-opacity)) !important;
}

.bg-darkBlue {
    --bs-bg-opacity: 1;
    background-color: rgba(var(--bs-darkBlue-rgb), var(--bs-bg-opacity)) !important;
}

.bg-sidebar-bg {
    --bs-bg-opacity: 1;
    background-color: rgba(var(--bs-sidebar-bg-rgb), var(--bs-bg-opacity)) !important;
}

.bg-red {
    --bs-bg-opacity: 1;
    background-color: rgba(var(--bs-red-rgb), var(--bs-bg-opacity)) !important;
}

.bg-yellow {
    --bs-bg-opacity: 1;
    background-color: rgba(var(--bs-yellow-rgb), var(--bs-bg-opacity)) !important;
}

.bg-faintGreen {
    --bs-bg-opacity: 1;
    background-color: rgba(var(--bs-faintGreen-rgb), var(--bs-bg-opacity)) !important;
}

.bg-orange {
    --bs-bg-opacity: 1;
    background-color: rgba(var(--bs-orange-rgb), var(--bs-bg-opacity)) !important;
}

.bg-violet {
    --bs-bg-opacity: 1;
    background-color: rgba(var(--bs-violet-rgb), var(--bs-bg-opacity)) !important;
}

.bg-paleBlue {
    --bs-bg-opacity: 1;
    background-color: rgba(var(--bs-paleBlue-rgb), var(--bs-bg-opacity)) !important;
}

.bg-black {
    --bs-bg-opacity: 1;
    background-color: rgba(var(--bs-black-rgb), var(--bs-bg-opacity)) !important;
}

.bg-white {
    --bs-bg-opacity: 1;
    background-color: rgba(var(--bs-white-rgb), var(--bs-bg-opacity)) !important;
}

.bg-body {
    --bs-bg-opacity: 1;
    background-color: rgba(var(--bs-body-bg-rgb), var(--bs-bg-opacity)) !important;
}

.bg-transparent {
    --bs-bg-opacity: 1;
    background-color: transparent !important;
}

.bg-opacity-10 {
    --bs-bg-opacity: 0.1;
}

.bg-opacity-25 {
    --bs-bg-opacity: 0.25;
}

.bg-opacity-50 {
    --bs-bg-opacity: 0.5;
}

.bg-opacity-75 {
    --bs-bg-opacity: 0.75;
}

.bg-opacity-100 {
    --bs-bg-opacity: 1;
}

.bg-gradient {
    background-image: var(--bs-gradient) !important;
}